#
# spec file for package smproxy
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           smproxy
Version:        1.0.7
Release:        1.5
Summary:        X Session Manager Proxy
License:        MIT
Group:          System/X11/Utilities
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xmuu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xt)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
smproxy allows X applications that do not support X11R6 session
management to participate in an X11R6 session.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README.md
%{_bindir}/smproxy
%{_mandir}/man1/smproxy.1%{?ext_man}

%changelog
* Sat Oct 15 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.7
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * gitlab CI: add a basic build test
  * Reduce variable scopes as suggested by cppcheck
  * NullIceErrorHandler: make arg names match between definition & declaration
  * Remove or correct obsolete casts
  * Use calloc instead of malloc to allocate arrays
  * CheckFullyQuantifiedName: return unqualified name if alloc fails
  * CheckFullyQuantifiedName: improve gethostname() handling
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Fri Apr 24 2015 sndirsch@suse.com
- Update to version 1.0.6:
  * This minor maintenance release provides assorted build
    configuration improvements and janitorial clenaups.
* Fri Apr 13 2012 vuntz@opensuse.org
- Update to version 1.0.5:
  + Fix a possible NULL dereference in an error handler
  + Explicitly depend on libICE
  + Man page improvements
  + Build configuration improvements
- Add pkgconfig(ice) BuildRequires: new explicit dependency
  upstream.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split smproxy from xorg-x11. Initial version: 1.0.4.
